textonly(1)

NAME
textonly - LT NSL program for removing all SGML markup from nSGML files.

SYNOPSIS
usage: textonly [-d ddb-file] [-u base-url] [-t tag] [-s c] [-x] [file] Expects nsgml as input, outputs text only. If -t is present, only text somewhere inside <tag ...> elements is printed. If -x is present, expand internal SDATA and numerical character references. If -s is present, the STRING c (e.g. ' ' or "J") is printed between each bit of text.

DESCRIPTION
The material below may be out of date: consult LT XML documentation please. textonly removes all SGML markup from an nSGML file and returns just the textual content. textonly is a filter, i.e. it reads from stdin and writes to stdout.

DESCRIPTION: Input/Output
Description of the input/output files involved in this program.

Input ==> An nSGML file : [stdin]

Output ==> A text file : [stdout]

OPTIONS

-t <tag>
    If specified only text inside <tag ...> ... </tag> is printed. <tag> is the name of an SGML element.

-s <str>
    If present, the STRING <str> (e.g. ' ' or "\^J") is printed between each bit of text.

-x  If present, expand internal SDATA and numerical character references.

-h  If present, print out usage information about textonly and its options.

SEE ALSO
ltxml(1), mknsg(1), sggrep(1), sgrpg(1)

AUTHOR
Henry Thompson (ht@cogsci.ed.ac.uk)
David McKelvie (dmck@cogsci.ed.ac.uk)
Language Technology Group, Human Communication Research Centre, Edinburgh University,
2 Buccleuch Place, Edinburgh EH8 9LW, SCOTLAND
Tel:(44) 131 650-4630
Fax:(44) 131 650-4587 email: dmck@cogsci.ed.ac.uk

Comments, suggestions, and bug reports are always welcome.